Subject: Re: [bug#73210] [PATCH] gnu: smalltalk: Fix tests.

From: Guillaume Le Vaillant <[email-masked]>
Date: Fri, 13 Sep 2024 17:23:00 +0000

Greg Hogan <[email-masked]> skribis:

> On Fri, Sep 13, 2024 at 5:59 AM Guillaume Le Vaillant <[email-masked]> wrote:
>>
>> Hi.
>> I tried your patch, but some tests are still failing for me.
>> More specifically, the "ANSI compliancy tests" are all failing with the
>> same error:
>>
>> [...]
>>
>> Does the build work for you every time?
>> What architecture are you using? I'm on x86-64 Guix system.
>
> I have built the package two more times without errors (though the
> output is non-deterministic). The only error I have seen was the I18N
> test failure before adding this locales patch.
>
> My system is x86-64 on a foreign distro.

Given that the patch is correct (adding a missing input), I applied it
as 22a34ea792ef0df15fd30d46f557b572c61d5404.
The build farm built it fine for i686, but on x86-64 it got the same
error as me (https://ci.guix.gnu.org/build/5765437/details).

A strange thing is that if I keep the files of the failed build (with
"guix build -K") and then run the tests by hand, they all succeed.

I wonder where the difference with what you get could come from...
What CPU does your machine have? And how much RAM?